<?php

namespace Drupal\move_file\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the Move File directory entity.
 *
 * @ConfigEntityType(
 *   id = "move_file_directory",
 *   label = @Translation("Move File directory"),
 *   module = "move_file",
 *   config_prefix = "move_file_directory",
 *   handlers = {
 *     "list_builder" = "Drupal\move_file\DirectoryListBuilder",
 *     "form" = {
 *       "add" = "Drupal\move_file\Form\DirectoryForm",
 *       "edit" = "Drupal\move_file\Form\DirectoryForm",
 *       "delete" = "Drupal\move_file\Form\DirectoryDeleteForm",
 *     }
 *   },
 *   admin_permission = "administer move_file",
 *   entity_keys = {
 *     "id" = "id",
 *   },
 *   links = {
 *     "edit" = "/admin/config/media/move-file/{move_file_directory}",
 *     "delete" = "/admin/config/media/move-file/{move_file_directory}/delete",
 *   },
 * )
 */
class DirectoryEntity extends ConfigEntityBase implements DirectoryEntityInterface {

  public $id = NULL;
  public $private = TRUE;
  public $path = NULL;
  public $term_id = NULL;

}
